org.eclipse.viatra.query.runtime.matchers.planning.helpers

## Class StatisticsHelper

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.planning.helpers.StatisticsHelper

-     public class StatisticsHelper
      extends java.lang.Object

  Helpers dealing with optionally present statistics information
  Since:
    2.1

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Optional<java.lang.Double>` | `estimateAverageBucketSize(TupleMask groupMask, Accuracy requiredAccuracy, java.util.function.BiFunction<TupleMask,Accuracy,java.util.Optional<java.lang.Long>> estimateCardinality)`
    `static java.util.Optional<java.lang.Double>` | `min(java.util.Optional<java.lang.Double> a, double b)`
    `static java.util.Optional<java.lang.Double>` | `min(java.util.Optional<java.lang.Double> a, java.util.Optional<java.lang.Double> b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### estimateAverageBucketSize

          public static java.util.Optional<java.lang.Double> estimateAverageBucketSize(TupleMask groupMask,
                                                                                       Accuracy requiredAccuracy,
                                                                                       java.util.function.BiFunction<TupleMask,Accuracy,java.util.Optional<java.lang.Long>> estimateCardinality)

    - #### min

          public static java.util.Optional<java.lang.Double> min(java.util.Optional<java.lang.Double> a,
                                                                 java.util.Optional<java.lang.Double> b)

    - #### min

          public static java.util.Optional<java.lang.Double> min(java.util.Optional<java.lang.Double> a,
                                                                 double b)